# Uses of Interface
org.eclipse.net4j.util.io.ExtendedDataOutput

Packages that use ExtendedDataOutput
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.io
Interfaces and classes for I/O.
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.
org.eclipse.net4j.util.security.operations

## Uses of ExtendedDataOutput in org.eclipse.net4j.util.collection

Methods in org.eclipse.net4j.util.collection with parameters of type ExtendedDataOutput
Modifier and Type
Method
Description
`void`
Entity.`write(ExtendedDataOutput out)`
`void`
Entity.`write(ExtendedDataOutput out, StringCompressor compressor)`

## Uses of ExtendedDataOutput in org.eclipse.net4j.util.io

Classes in org.eclipse.net4j.util.io that implement ExtendedDataOutput
Modifier and Type
Class
Description
`class`
`DataOutputExtender`
`static class`
`ExtendedDataOutput.Delegating`
`class`
`ExtendedDataOutputStream`
Methods in org.eclipse.net4j.util.io that return ExtendedDataOutput
Modifier and Type
Method
Description
`ExtendedDataOutput`
ExtendedDataOutput.Delegating.`getDelegate()`
`ExtendedDataOutput`
ExtendedDataOutput.Stream.`getDelegate()`
Methods in org.eclipse.net4j.util.io with parameters of type ExtendedDataOutput
Modifier and Type
Method
Description
`void`
StringCompressor.`write(ExtendedDataOutput out, String string)`
`void`
StringIO.`write(ExtendedDataOutput out, String string)`
`void`
StringCompressor.`writeAcknowledgements(ExtendedDataOutput out, Collection<Integer> acknowledgements)`
`protected abstract void`
SortedFileMap.`writeKey(ExtendedDataOutput out, K key)`
`protected void`
StringCompressor.Counting.`writeString(ExtendedDataOutput out, String value)`
`protected void`
StringCompressor.`writeString(ExtendedDataOutput out, String value)`
`protected abstract void`
SortedFileMap.`writeValue(ExtendedDataOutput out, V value)`
Constructors in org.eclipse.net4j.util.io with parameters of type ExtendedDataOutput
Modifier
Constructor
Description
``
`Delegating(ExtendedDataOutput delegate)`
``
`Stream(ExtendedDataOutput delegate)`

## Uses of ExtendedDataOutput in org.eclipse.net4j.util.security

Methods in org.eclipse.net4j.util.security with parameters of type ExtendedDataOutput
Modifier and Type
Method
Description
`void`
DiffieHellman.Client.Response.`write(ExtendedDataOutput out)`
`void`
DiffieHellman.Server.Challenge.`write(ExtendedDataOutput out)`

## Uses of ExtendedDataOutput in org.eclipse.net4j.util.security.operations

Methods in org.eclipse.net4j.util.security.operations with parameters of type ExtendedDataOutput
Modifier and Type
Method
Description
`void`
AuthorizableOperation.`write(ExtendedDataOutput out)`
`void`
AuthorizableOperationImpl.`write(ExtendedDataOutput out)`